/*-------------------------------------------------------------------------
                         L T C 1 1
                      
    An environment control driver and an additonal wrapper function for
    controlling a Neocera LTC-11 temperature controller. This controller can be 
    in two states: control via a heater channel or control via a analaog 
    channel.
    
    copyright: see copyright.h
    
    Mark Koennecke, November 1998                   
---------------------------------------------------------------------------*/
#ifndef LTC11
#define LTC11

pEVDriver CreateLTC11Driver(int argc, char *argv[]);

int LTC11GetMode(pEVDriver self, int *iMode);
int LTC11SetMode(pEVDriver self, int iMode);

int LTC11Action(SConnection * pCon, SicsInterp * pSics, void *pData,
                int argc, char *argv[]);

#endif
